ServerEvents.recipes(event => {
    event.recipes.summoningrituals
    .altar('minecraft:netherite_upgrade_smithing_template')
    .mobOutput('villager')

    .input('allthemodium:allthemodium_ingot')
    .input('allthemodium:vibranium_ingot')
    .input('botania:mana_glass')
    .input('minecraft:lectern')
    .sacrifice('cow')
    .sacrificeRegion(9, 9)
    .recipeTime(200)
    .blockBelow('minecraft:end_portal_frame')
    .dayTime('day')
    .weather('clear');
    })